Bug 673507 - Templates - user cannot expand resource trees in "Server" table
Templates - user cannot expand resource trees in "Server" table
Status: CLOSED WORKSFORME
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: gwt-templates
  Show dependency treegraph
 
Reported: 2011-01-28 08:52 EST by Corey Welton
Modified: 2011-10-06 15:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-14 10:09:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shows expanded tree nodes in templates page (57.17 KB, image/png)
2011-02-14 10:09 EST, John Mazzitelli
no flags Details

  None (edit)
Description Corey Welton 2011-01-28 08:52:38 EST
Description of problem:
If user clicks on the expander for a given resource in the "Server" table, the expander disappears; tree is not expanded

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Populate JON with data; navigate to Templates main view
2.  In the Servers section, attempt to expand the resource tree by clicking on the "[+]" expander for a given resource. 
3.  View results
  
Actual results:
* Expander disappear
* Expander does not appear to return
* Tree does not expand

Expected results:
* Expander does not disappear
* Tree expands
* Tree can then be expanded and contracted as desired.

Additional info:
Refreshing the templates page does cause the expanders to return.  But they are otherwise useless.
Comment 1 John Mazzitelli 2011-02-14 10:09:25 EST
Created attachment 478647 [details]
shows expanded tree nodes in templates page
Comment 2 John Mazzitelli 2011-02-14 10:09:53 EST
i think this has been fixed - see attached image.

Note You need to log in before you can comment on or make changes to this bug.